import { Component, EventEmitter, Output } from '@angular/core';
import { Location } from '@angular/common';

@Component({
  selector: 'app-navegation',
  templateUrl: './navegation.component.html',
  styleUrls: ['./navegation.component.css']
})
export class NavegationComponent {
  @Output() onReset = new EventEmitter();
  route: string="";
  ruta: string="";
  texto: string="";
  titulo: string="";

  constructor(private location: Location){
   this.setValores();
  }

  setValores():void{
    this.route = this.location.path();
    if (this.route.match('pago-reserva') !== null) {
      this.ruta= '/pago-reserva';
      this.texto= 'Pagar Reserva';
      this.titulo = 'Pagar Reservas'
    } else if (this.route.match('reservas') !== null) {
      this.ruta= '/reservas';
      this.texto= 'Reservas';
      this.titulo = 'Gestionar Reservas'
    } else if (this.route.match('pagos') !== null) {
      this.ruta= '/pagos';
      this.texto= 'Pagos';
      this.titulo = 'Visualizar Pagos'
    } else if (this.route.match('vuelos') !== null) {
      this.ruta= '/vuelos';
      this.texto= 'Vuelos';
      this.titulo = 'Gestionar Vuelos'
    } else if (this.route.match('agentes') !== null) {
      this.ruta= '/agentes';
      this.texto= 'Agentes';
      this.titulo = 'Gestionar Agentes'
    } else if (this.route.match('aeropuertos') !== null) {
      this.ruta= '/aeropuertos';
      this.texto= 'Aeropuertos';
      this.titulo = 'Gestionar Aeropuertos'
    } else if (this.route.match('pasajeros') !== null) {
      this.ruta= '/pasajeros';
      this.texto= 'Pasajeros';
      this.titulo = 'Gestionar Pasajeros'
    }  
  }

}
